Subject: Re: Maintaining the beta 17.1 (LGPL-ed) tools
From: [email-masked] (Joop van de Wege)

19 Jul 1997 07:53:03 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
 <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Date-warning: Date header was inserted by NET.WAU.NL
In-reply-to: <[email-masked]>
Original-To: Jim Pick <[email-masked]>
Original-Cc: [email-masked]
X-Mailer: Becky! ver 1.21
Original-Sender: [email-masked]

On Mon, 14 Jul 1997 23:20:59 -0700
Jim Pick <[email-masked]> wrote:

> He's correct.  Beta 17 is GPL'd - but the comments in the source
> code weren't updated to reflect that.  The cdk/winsup/doc/copy.texinfo
> does say that it is GPL'd though.
> 
> So I guess we'd have to start at Beta 16.
> 
> It's probably a better move to start from scratch, using glibc
> (writing a sysdeps layer) instead of newlib/winsup.  We could use code 
> from Beta 16 and before, and from other sources.  Of course, we're
> going to need some good Unix hackers with some free time on their
> hands too.
There is a similar project for the Amiga. It uses what is called
'ixemul.library' which in essence is a small unix-kernal. It does the
same as cygwin32.dll. The source is either under a Berkley license or
real free. (don't quote me :) ).
The project is maintained at the central site: ftp.ninemoons.com/ade and
consists at the moment of almost all the GNU tools, X11R6.1 (6.3 soon).
There is also an equivalent to mingwin32(?) which doesn't use the
library.

I'm interested in this because I tried to build a crosscompiler and ran
into a couple of problems but still would like to see a  'usable'
version of Cygwin32 in the future.

Mail me if you need more information,

Joop

----
Joop van de Wege ([email-masked])
Mobile Computing Consultants
+31 (0) 318 553292

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".